<?php
// @codingStandardsIgnoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 8.0 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();

$connection->insert('node')
->fields(array(
  'nid',
  'vid',
  'type',
  'language',
  'title',
  'uid',
  'status',
  'created',
  'changed',
  'comment',
  'promote',
  'sticky',
  'tnid',
  'translate',
))
->values(array(
  'nid' => '101',
  'vid' => '111',
  'type' => 'poll',
  'language' => 'en',
  'title' => 'Poll 1',
  'uid' => '1',
  'status' => '1',
  'created' => '1571878383',
  'changed' => '1571878383',
  'comment' => '2',
  'promote' => '1',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '102',
  'vid' => '113',
  'type' => 'poll',
  'language' => 'en',
  'title' => 'Poll 2 updated',
  'uid' => '1',
  'status' => '1',
  'created' => '1571878436',
  'changed' => '1571878476',
  'comment' => '2',
  'promote' => '1',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '103',
  'vid' => '114',
  'type' => 'poll',
  'language' => 'en',
  'title' => 'Poll 3',
  'uid' => '1',
  'status' => '1',
  'created' => '1571878627',
  'changed' => '1571878627',
  'comment' => '2',
  'promote' => '1',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->execute();

$connection->insert('node_revision')
->fields(array(
  'nid',
  'vid',
  'uid',
  'title',
  'log',
  'timestamp',
  'status',
  'comment',
  'promote',
  'sticky',
))
->values(array(
  'nid' => '101',
  'vid' => '111',
  'uid' => '1',
  'title' => 'Poll 1',
  'log' => '',
  'timestamp' => '1571878383',
  'status' => '1',
  'comment' => '2',
  'promote' => '1',
  'sticky' => '0',
))
->values(array(
  'nid' => '102',
  'vid' => '112',
  'uid' => '1',
  'title' => 'Poll 2',
  'log' => '',
  'timestamp' => '1571878436',
  'status' => '1',
  'comment' => '2',
  'promote' => '1',
  'sticky' => '0',
))
->values(array(
  'nid' => '102',
  'vid' => '113',
  'uid' => '1',
  'title' => 'Poll 2 updated',
  'log' => '',
  'timestamp' => '1571878476',
  'status' => '1',
  'comment' => '2',
  'promote' => '1',
  'sticky' => '0',
))
->values(array(
  'nid' => '103',
  'vid' => '114',
  'uid' => '1',
  'title' => 'Poll 3',
  'log' => '',
  'timestamp' => '1571878627',
  'status' => '1',
  'comment' => '2',
  'promote' => '1',
  'sticky' => '0',
))
->execute();

$connection->insert('node_type')
->fields(array(
  'type',
  'name',
  'base',
  'module',
  'description',
  'help',
  'has_title',
  'title_label',
  'custom',
  'modified',
  'locked',
  'disabled',
  'orig_type',
))
->values(array(
  'type' => 'poll',
  'name' => 'Poll',
  'base' => 'poll',
  'module' => 'poll',
  'description' => 'A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.',
  'help' => '',
  'has_title' => '1',
  'title_label' => 'Question',
  'custom' => '0',
  'modified' => '0',
  'locked' => '1',
  'disabled' => '0',
  'orig_type' => 'poll',
))
->execute();
$connection->schema()->createTable('poll', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'runtime' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'active' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'nid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('poll')
->fields(array(
  'nid',
  'runtime',
  'active',
))
->values(array(
  'nid' => '101',
  'runtime' => '0',
  'active' => '1',
))
->values(array(
  'nid' => '102',
  'runtime' => '31536000',
  'active' => '1',
))
->values(array(
  'nid' => '103',
  'runtime' => '0',
  'active' => '1',
))
->execute();
$connection->schema()->createTable('poll_choice', array(
  'fields' => array(
    'chid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'chtext' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'chvotes' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'chid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('poll_choice')
->fields(array(
  'chid',
  'nid',
  'chtext',
  'chvotes',
  'weight',
))
->values(array(
  'chid' => '1',
  'nid' => '101',
  'chtext' => 'Poll 1 Choice 1',
  'chvotes' => '0',
  'weight' => '1',
))
->values(array(
  'chid' => '2',
  'nid' => '101',
  'chtext' => 'Poll 1 Choice 2',
  'chvotes' => '2',
  'weight' => '2',
))
->values(array(
  'chid' => '3',
  'nid' => '101',
  'chtext' => 'Choice 3',
  'chvotes' => '0',
  'weight' => '3',
))
->values(array(
  'chid' => '4',
  'nid' => '102',
  'chtext' => 'Poll 2 Choice 1',
  'chvotes' => '1',
  'weight' => '1',
))
->values(array(
  'chid' => '5',
  'nid' => '102',
  'chtext' => 'Poll 2 Choice 2',
  'chvotes' => '1',
  'weight' => '2',
))
->values(array(
  'chid' => '6',
  'nid' => '103',
  'chtext' => 'Poll 3 Choice 1',
  'chvotes' => '0',
  'weight' => '1',
))
->values(array(
  'chid' => '7',
  'nid' => '103',
  'chtext' => 'Poll 3 Choice 2',
  'chvotes' => '0',
  'weight' => '2',
))
->values(array(
  'chid' => '8',
  'nid' => '103',
  'chtext' => 'Choice 3',
  'chvotes' => '2',
  'weight' => '3',
))
->execute();
$connection->schema()->createTable('poll_vote', array(
  'fields' => array(
    'chid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'hostname' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'timestamp' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'nid',
    'uid',
    'hostname',
  ),
  'indexes' => array(
    'chid' => array(
      'chid',
    ),
    'hostname' => array(
      'hostname',
    ),
    'uid' => array(
      'uid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('poll_vote')
->fields(array(
  'chid',
  'nid',
  'uid',
  'hostname',
  'timestamp',
))
->values(array(
  'chid' => '2',
  'nid' => '101',
  'uid' => '0',
  'hostname' => '127.0.0.1',
  'timestamp' => '1571878591',
))
->values(array(
  'chid' => '2',
  'nid' => '101',
  'uid' => '1',
  'hostname' => '127.0.0.1',
  'timestamp' => '1571878387',
))
->values(array(
  'chid' => '5',
  'nid' => '102',
  'uid' => '0',
  'hostname' => '127.0.0.1',
  'timestamp' => '1571878594',
))
->values(array(
  'chid' => '4',
  'nid' => '102',
  'uid' => '1',
  'hostname' => '127.0.0.1',
  'timestamp' => '1571878455',
))
->values(array(
  'chid' => '8',
  'nid' => '103',
  'uid' => '0',
  'hostname' => '127.0.0.1',
  'timestamp' => '1571878639',
))
->values(array(
  'chid' => '8',
  'nid' => '103',
  'uid' => '1',
  'hostname' => '127.0.0.1',
  'timestamp' => '1571878632',
))
->execute();

$connection->insert('role_permission')
->fields(array(
  'rid',
  'permission',
  'module',
))
->values(array(
  'rid' => '3',
  'permission' => 'cancel own vote',
  'module' => 'poll',
))
->values(array(
  'rid' => '3',
  'permission' => 'inspect all votes',
  'module' => 'poll',
))
->values(array(
  'rid' => '1',
  'permission' => 'vote on polls',
  'module' => 'poll',
))
->values(array(
  'rid' => '2',
  'permission' => 'vote on polls',
  'module' => 'poll',
))
->values(array(
  'rid' => '3',
  'permission' => 'vote on polls',
  'module' => 'poll',
))
->execute();

$connection->update('system')
->fields([
  'status' => 1,
])
->condition('name', 'poll', '=')
->execute();
